summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorIan Jackson <ijackson@chiark.greenend.org.uk>2019-08-08 12:31:46 +0100
committerIan Jackson <ijackson@chiark.greenend.org.uk>2019-08-11 00:09:29 +0100
commit407a97d3fde83c07687df1ef2c24fbf57dc9cbe0 (patch)
tree1fcb38a52f41d3303d57cbd886a41bdf681e9038 /tests
parent6faeb365e627108bbcd41136f3204cf69c5c8ca8 (diff)
test suite: alternating-dgit: New test
This tests alternating dgit and non-dgit uploads. These were broken by the bug #934126 (check_for_git always returns false), in the http rework, and not detected by the test suite (!) This test *does* break if check_for_git always returns false. Signed-off-by: Ian Jackson <ijackson@chiark.greenend.org.uk>
Diffstat (limited to 'tests')
-rwxr-xr-xtests/tests/alternating-dgit25
1 files changed, 25 insertions, 0 deletions
diff --git a/tests/tests/alternating-dgit b/tests/tests/alternating-dgit
new file mode 100755
index 0000000..c2ada5c
--- /dev/null
+++ b/tests/tests/alternating-dgit
@@ -0,0 +1,25 @@
+#!/bin/bash
+set -e
+. tests/lib
+
+t-setup-import examplegit
+t-setup-import http-git-check
+
+cd $p
+
+git checkout -b nondgit
+t-commit 'non-dgit upload'
+t-non-dgit-upload
+
+cd ..
+
+t-dgit clone $p ./$p.2
+cd $p.2
+
+t-commit 'now a dgit upload again'
+
+t-dgit -wgf push-source
+t-refs-same-start
+t-pushed-good dgit/sid
+
+t-ok